;===============================================================;
;                                                               ;
; Alien Breed 5 Teaser 2                                        ;
; Header file                                                   ;
;                                                               ;
;===============================================================;

;------------------------------------------------
; TI-83 Ion header
;------------------------------------------------
#ifdef TI83
#define ION
#include "ion.inc"                              ; Ion include file

vars                    = saferam1              ; where to store variables

.org    progstart
        ret
        jr      nc,start
.db     " Alien Breed 5 (teaser 2)",0
#endif

;------------------------------------------------
; TI-83+ Ion Header
;------------------------------------------------
#ifdef TI83P
#define ION
#define PLUS
#include "ion.inc"                              ; Ion include file

vars                    = appBackupScreen       ; where to store game variables

.org    progstart-2
.db     $BB, $6D                                ; AsmPrgm token
        ret                                     ; TI-OS can't run program
        jr      nc,start                        ; jump to start of program
.db     " Alien Breed 5 (teaser 2)",0
#endif

;------------------------------------------------
; TI-83+ MirageOS Header
;------------------------------------------------
#ifdef MIRAGE                                   ; MirageOS header
#define PLUS
#include "ti83plus.inc"                         ; TI-83+ include file
#include "mirage.inc"                           ; MirageOS include file

vars                    = appBackupScreen       ; where store game variables

ionFastCopy             = iFastCopy             ; will be called as ionFastCopy in program

.org    $9D93                                   ; progstart-2
.db     $BB, $6D                                ; AsmPrgm token
        ret                                     ; TI-OS can't run program
.db     1                                       ; MirageOS identifier
.db %00000000,%00000000                         ; program Image
.db %01111111,%11111100
.db %01000000,%00000100
.db %01000100,%11000100
.db %01001010,%10100100
.db %01001010,%10100100
.db %01001110,%11000100
.db %01001010,%10100100
.db %01001010,%10100100
.db %01001010,%10100100
.db %01001010,%10100100
.db %01001010,%11000100
.db %01000000,%00000100
.db %01111111,%11111100
.db %00000000,%00000000

.db     " Alien Breed 5 (teaser 2)",0
#endif

#ifdef ION
apdable                 = 2
apdrunning              = 3
apdflags                = 8
#endif

.end
